
Redmine - Defect #42086

Issue can not contain ./ or .\

2025-01-10 08:56 - Maria Nundahl

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 5.1.1

Description

Hi!

When an issue contains ./ or .\ the issue can not be submitted or edited.

We have Boomi integration which via API creates issues containing \.

When trying to edit these issues the issue can not be saved, it is just waiting to be saved.

I also tested to enter an issue with .\ in the subject and it is the same problem.

Do you have any idea why it is not working? It is working here in your installation.....

These are our settings:
Here is a picture to show the problem:
History

#1 - 2025-01-10 22:05 - Holger Just

- Status changed from New to Needs feedback

Please check the logs of your Redmine server (which you can find in log/production.log on the server) and in the logs of your webserver.

If you can not see any matching requests there, it may be blocked before. If you use some kind of web-application-firewall or cloud-proxy, these might

also block the requests, thinking they  may look like an attack. If you use such a service, check their logs.

#2 - 2025-01-13 08:10 - Maria Nundahl

Thanks for the answer.

We will check the logs.

We also found out that it is working in Firefox but not in Edge and Chrome.

#3 - 2025-01-23 02:28 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid
